homepage/urls.py
from django.urls import path, include
from . import views

app_name = 'homepage'

urlpatterns = [
    path('', views.index, name='index'),
    path('behind/', views.behind, name='behind'),
    path('schedule', include('schedule.urls')),
]

schedule/urls.py
#urls form

from django.conf.urls import url
from . import views

urlpatterns = [
	url('form', views.create),
	url('delete/(?P<delete_id>[0-9]+)', views.delete),
	url('', views.index),
	
]

story/urls.py
from django.urls import path, include
from django.contrib import admin
from . import views

urlpatterns = [
    path('admin/', admin.site.urls),
    path('schedule', include('schedule.urls')),
    path('', include('homepage.urls')),
    # path('about/', views.about),
    # path('education/', views.education),
    # path('contact/', views.contact),
    path('', views.index),

]


homepage/models.py
from django.db import models

# Create your models here.

schedule/models.py
from django.db import models
from datetime import datetime
from django.core.exceptions import ValidationError

# def validate_tanggal(value):
# 	try:
# 		input_tanggal = datetime.strptime(value, '%Y/%m/%d')
# 	except ValueError:
# 		raise ValidationError('Incorrect format')

# Kalau pake form dibikin sama kaya forms.py
# Kalau pake modelform bikinnya disini
class ModelJadwal(models.Model):
	HARI = (
		('Senin', 'Senin'),
		('Selasa', 'Selasa'),
		('Rabu', 'Rabu'),
		('Kamis', 'Kamis'),
		('Jumat', 'Jumat'),
		('Sabtu', 'Sabtu'),
		('Minggu', 'Minggu'),
	)

	KATEGORI = (
		('Kelas', 'Kelas'),
		('Nugas', 'Nugas'),
		('UKOR', 'UKOR'),
		('Hangout', 'Hangout'),
		('Gabut', 'Gabut'),
	)

	hari 		= models.CharField(max_length=10, choices=HARI, default='Senin')
	tanggal		= models.DateField()
	waktu		= models.TimeField()
	kegiatan	= models.CharField(max_length=50)
	tempat		= models.CharField(max_length=50)
	kategori	= models.CharField(max_length=10, choices=KATEGORI, default='Kelas')
	

schedule/forms.py
from django import forms
from .models import ModelJadwal
from django.forms import ModelForm, TextInput, SelectDateWidget

# Form menggunakan ModelForm
class FormJadwal(forms.ModelForm):
	class Meta:
		model = ModelJadwal
		fields = [
			'hari',
			'tanggal',
			'waktu',
			'kegiatan',
			'tempat',
			'kategori',
		]
		widgets = {
			'tanggal': TextInput(attrs={'placeholder': 'YYYY-MM-DD'}),
			'tanggal': SelectDateWidget(),
			'waktu': TextInput(attrs={'placeholder': 'HH:MM'}),
			'kegiatan': TextInput(attrs={'placeholder': 'Nonton, belajar, dll'}),
			'tempat': TextInput(attrs={'placeholder': 'Kos, Fasilkom, dll'}),
		}


# class FormJadwal(forms.Form):
# 	HARI = (
# 		('Senin', 'Senin'),
# 		('Selasa', 'Selasa'),
# 		('Rabu', 'Rabu'),
# 		('Kamis', 'Kamis'),
# 		('Jumat', 'Jumat'),
# 		('Sabtu', 'Sabtu'),
# 		('Minggu', 'Minggu'),
# 	)

# 	KATEGORI = (
# 		('Kelas', 'Kelas'),
# 		('Nugas', 'Nugas'),
# 		('UKOR', 'UKOR'),
# 		('Hangout', 'Hangout'),
# 		('Gabut', 'Gabut'),
# 	)

# 	hari		= forms.ChoiceField(choices=HARI)
# 	waktu		= forms.DateTimeField(widget=forms.TextInput(attrs={'placeholder': 'YYYY-MM-DD hh:mm'}))
# 	kegiatan	= forms.CharField(max_length=50, widget=forms.TextInput(attrs={'placeholder': 'Nonton, belajar, dll'}))
# 	tempat		= forms.CharField(max_length=50, widget=forms.TextInput(attrs={'placeholder': 'Kos, Fasilkom, dll'}))
# 	kategori	= forms.ChoiceField(choices=KATEGORI)
	

homepage/views.py
from django.shortcuts import render

# Create your views here.
def index(request):
    return render(request, 'index.html')

def behind(request):
    return render(request, 'behind.html')

schedule/views.py
#views form

from django.shortcuts import render, redirect
from .forms import FormJadwal
from .models import ModelJadwal
from django.core.exceptions import ValidationError


def index(request):
	modelJadwal = ModelJadwal.objects.all()
	args = {
		'hasilJadwal' : modelJadwal,
	}

	return render(request, 'Schedule.html', args)


def create(request):
	formJadwal = FormJadwal(request.POST or None)	# request.POST buat validasi

	# Masukin dari form ke database
	if request.method == 'POST':
		if formJadwal.is_valid():	# Kalau input valid
			formJadwal.save()
			# ModelJadwal.objects.create(
			# 	hari		= formJadwal.cleaned_data.get('hari'),			# Ngambil data yg udah tervalidasi
			# 	waktu		= formJadwal.cleaned_data.get('waktu'),			
			# 	kegiatan	= formJadwal.cleaned_data.get('kegiatan'),	
			# 	kategori	= formJadwal.cleaned_data.get('kategori'),
			# 	tempat		= formJadwal.cleaned_data.get('tempat'),
			# )
			
			return redirect('/schedule')	# Abis ngisi form redirect ke halaman schedule

	args = {
		'formJadwal' : formJadwal,
	}

	return render(request, 'Form.html', args)


def delete(request, delete_id):
	ModelJadwal.objects.filter(id=delete_id).delete()
	return redirect('/schedule')

story/views.py

from django.shortcuts import render

def index(request):
	return render(request, 'index.html')


homepage/templates/behind.html
<!DOCTYPE html>
{% load static %}
<html lang="en">

<head>

  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">

  <title>Resume - Start Bootstrap Theme</title>

  <!-- Bootstrap core CSS -->
  <link href="{% static 'vendor/bootstrap/css/bootstrap.min.css' %}" rel="stylesheet">

  <!-- Custom fonts for this template -->
  <link href="https://fonts.googleapis.com/css?family=Saira+Extra+Condensed:500,700" rel="stylesheet">
  <link href="https://fonts.googleapis.com/css?family=Muli:400,400i,800,800i" rel="stylesheet">
  <link href="{% static 'vendor/fontawesome-free/css/all.min.css' %}" rel="stylesheet">

  <!-- Custom styles for this template -->
  <link href="{% static 'css/resume.min.css' %}" rel="stylesheet">

</head>

<body id="page-top">

  <nav class="navbar navbar-expand-lg navbar-dark bg-primary fixed-top" id="sideNav">
    <a class="navbar-brand js-scroll-trigger" href="#page-top">
      <span class="d-block d-lg-none">Tesalonika Sagala</span>
      <span class="d-none d-lg-block">
        <img class="img-fluid img-profile rounded-circle mx-auto mb-2" src="{% static 'img/profile.jpg' %}" alt="">
      </span>
    </a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav">
        <li class="nav-item">
          <a class="nav-link js-scroll-trigger" href="{% url 'homepage:index' %}">Index</a>
        </li>
      </ul>
    </div>
  </nav>

  <div class="container-fluid p-0">

    <hr class="m-0">

    <section class="resume-section p-3 p-lg-5 d-flex align-items-center" id="interests">
      <div class="w-100">
        <h2 class="mb-5">About this page</h2>
        <p>This resume is made for Perancangan dan Pemrograman Web Assignment.</p>
        <p class="mb-0">I am open for any critics to improve this assignment.</p>
      </div>
    </section>

  </div>

  <!-- Bootstrap core JavaScript -->
  <script src="vendor/jquery/jquery.min.js"></script>
  <script src="vendor/bootstrap/js/bootstrap.bundle.min.js"></script>

  <!-- Plugin JavaScript -->
  <script src="vendor/jquery-easing/jquery.easing.min.js"></script>

  <!-- Custom scripts for this template -->
  <script src="js/resume.min.js"></script>

</body>

</html>

homepage/templates/index.html
<!DOCTYPE html>
{% load static %}
<html lang="en">

<head>

  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">

  <title>Resume - Start Bootstrap Theme</title>

  <!-- Bootstrap core CSS -->
  <link href="{% static 'vendor/bootstrap/css/bootstrap.min.css' %}" rel="stylesheet">

  <!-- Custom fonts for this template -->
  <link href="https://fonts.googleapis.com/css?family=Saira+Extra+Condensed:500,700" rel="stylesheet">
  <link href="https://fonts.googleapis.com/css?family=Muli:400,400i,800,800i" rel="stylesheet">
  <link href="{% static 'vendor/fontawesome-free/css/all.min.css' %}" rel="stylesheet">

  <!-- Custom styles for this template -->
  <link href="{% static 'css/resume.min.css' %}" rel="stylesheet">

</head>

<body id="page-top">

  <nav class="navbar navbar-expand-lg navbar-dark bg-primary fixed-top" id="sideNav">
    <a class="navbar-brand js-scroll-trigger" href="#page-top">
      <span class="d-block d-lg-none">Tesalonika Sagala</span>
      <span class="d-none d-lg-block">
        <img class="img-fluid img-profile rounded-circle mx-auto mb-2" src="{% static 'img/profile.jpg' %}" alt="">
      </span>
    </a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav">
        <li class="nav-item">
          <a class="nav-link js-scroll-trigger" href="#about">About</a>
        </li>
        <li class="nav-item">
          <a class="nav-link js-scroll-trigger" href="#experience">Experience</a>
        </li>
        <li class="nav-item">
          <a class="nav-link js-scroll-trigger" href="#education">Education</a>
        </li>
        <li class="nav-item">
          <a class="nav-link js-scroll-trigger" href="#skills">Skills</a>
        </li>
        <li class="nav-item">
          <a class="nav-link js-scroll-trigger" href="#interests">Interests</a>
        </li>
        <li class="nav-item">
          <a class="nav-link js-scroll-trigger" href="#awards">Awards</a>
        </li>
        <li class="nav-item">
          <a class="nav-link js-scroll-trigger" href="{% url 'homepage:behind' %}">Behind</a>
        </li>
        <li class="nav-item">
          <a class="nav-link js-scroll-trigger" href="schedule">Schedule</a>
        </li>
      </ul>
    </div>
  </nav>

  <div class="container-fluid p-0">

    <section class="resume-section p-3 p-lg-5 d-flex align-items-center" id="about">
      <div class="w-100">
        <h1 class="mb-0">Tesalonika
          <span class="text-primary">Sagala</span>
        </h1>
        <div class="subheading mb-5">Information System · Faculty of Computer Science · Universitas Indonesia ·
          <a href="mailto:name@email.com">tesalonika.julia@ui.ac.id</a>
        </div>
        <p class="lead mb-5">I am Tesa, I am 19 years old and currently pursuing a diploma on Information System major.</p>
        <div class="social-icons">
          <a href="#">
            <i class="fab fa-linkedin-in"></i>
          </a>
          <a href="#">
            <i class="fab fa-github"></i>
          </a>
          <a href="#">
            <i class="fab fa-twitter"></i>
          </a>
          <a href="#">
            <i class="fab fa-facebook-f"></i>
          </a>
        </div>
      </div>
    </section>

    <hr class="m-0">

    <section class="resume-section p-3 p-lg-5 d-flex justify-content-center" id="experience">
      <div class="w-100">
        <h2 class="mb-5">Experience</h2>

        <div class="resume-item d-flex flex-column flex-md-row justify-content-between mb-5">
          <div class="resume-content">
            <h3 class="mb-0">Treasurer</h3>
            <div class="subheading mb-3">DPM Fasilkom UI</div>
            <p>Running the treasury of the organization.</p>
          </div>
          <div class="resume-date text-md-right">
            <span class="text-primary">January 2019 - Now</span>
          </div>
        </div>

        <div class="resume-item d-flex flex-column flex-md-row justify-content-between mb-5">
          <div class="resume-content">
            <h3 class="mb-0">Treasurer</h3>
            <div class="subheading mb-3">Pemira IKM Fasilkom UI 2019</div>
            <p>Running the treasury of the organization.</p>
          </div>
          <div class="resume-date text-md-right">
            <span class="text-primary">September 2019 - Now</span>
          </div>
        </div>

        <div class="resume-item d-flex flex-column flex-md-row justify-content-between">
          <div class="resume-content">
            <h3 class="mb-0">Fundraising Staff</h3>
            <div class="subheading mb-3">Pemira IKM Fasilkom UI 2018</div>
            <p>Raising fund for the organization needs.</p>
          </div>
          <div class="resume-date text-md-right">
            <span class="text-primary">October 2018 - December 2018</span>
          </div>
        </div>

      </div>

    </section>

    <hr class="m-0">

    <section class="resume-section p-3 p-lg-5 d-flex align-items-center" id="education">
      <div class="w-100">
        <h2 class="mb-5">Education</h2>

        <div class="resume-item d-flex flex-column flex-md-row justify-content-between mb-5">
          <div class="resume-content">
            <h3 class="mb-0">Universitas Indonesia</h3>
            <div class="subheading mb-3">Faculty of Computer Science</div>
            <div>Information System</div>
          </div>
          <div class="resume-date text-md-right">
            <span class="text-primary">July 2018 - Now</span>
          </div>
        </div>

        <div class="resume-item d-flex flex-column flex-md-row justify-content-between">
          <div class="resume-content">
            <h3 class="mb-0">Kharisma Bangsa High School</h3>
            <div class="subheading mb-3">Science Program</div>
          </div>
          <div class="resume-date text-md-right">
            <span class="text-primary">July 2015 - May 2018</span>
          </div>
        </div>

      </div>
    </section>

    <hr class="m-0">

    <section class="resume-section p-3 p-lg-5 d-flex align-items-center" id="skills">
      <div class="w-100">
        <h2 class="mb-5">Skills</h2>

        <div class="subheading mb-3">Programming Languages &amp; Tools</div>
        <ul class="list-inline dev-icons">
          <li class="list-inline-item">
            <i class="fab fa-html5"></i>
          </li>
          <li class="list-inline-item">
            <i class="fab fa-css3-alt"></i>
          </li>
          <li class="list-inline-item">
            <i class="fab fa-js-square"></i>
          </li>
        </ul>
    </section>

    <hr class="m-0">

    <section class="resume-section p-3 p-lg-5 d-flex align-items-center" id="interests">
      <div class="w-100">
        <h2 class="mb-5">Interests</h2>
        <p>Apart from being an IT student, I enjoy going to music festival, concert, and fanmeeting.</p>
        <p class="mb-0">I love being in a crowd along with others who share the same interest with me.</p>
      </div>
    </section>

    <hr class="m-0">

    <section class="resume-section p-3 p-lg-5 d-flex align-items-center" id="awards">
      <div class="w-100">
        <h2 class="mb-5">Awards &amp; Certifications</h2>
        <ul class="fa-ul mb-0">
          <li>
            <i class="fa-li fa fa-trophy text-warning"></i>
            TOEFL Certification</li>
          <li>
            <i class="fa-li fa fa-trophy text-warning"></i>
            B2 CEFR Certification</li>
        </ul>
      </div>
    </section>

  </div>

  <!-- Bootstrap core JavaScript -->
  <script src="vendor/jquery/jquery.min.js"></script>
  <script src="vendor/bootstrap/js/bootstrap.bundle.min.js"></script>

  <!-- Plugin JavaScript -->
  <script src="vendor/jquery-easing/jquery.easing.min.js"></script>

  <!-- Custom scripts for this template -->
  <script src="js/resume.min.js"></script>

</body>

</html>

schedule/templates/Form.html
<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Form</title>
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

</head>


<body>
	<div class="container">
		<center><h1>Schedule Form</h1></center><br>
		
		<form method="post">
			{% csrf_token %}
			<table class="table">
				{{ formJadwal.as_table }}	
			</table>
			
			<br> <button type="Submit">Submit</button>
			<a class="btn btn-primary" href="/schedule"	>Back to Schedule</a>
		</form>
	</div>
	

	<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
	<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
</body>
</html>

schedule/templates/Schedule.html
<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Schedule</title>
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

</head>
<body>
	<div class="container-fluid">
		<center><h1>Schedule</h1></center>

		<table class="table">
		 	<thead>
		    	<tr>
			      <th scope="col">#</th>
			      <th scope="col">Time</th>
			      <th scope="col">Activity</th>
			      <th scope="col">Place</th>
			      <th scope="col">Category</th>
		    	</tr>
		  	</thead>

		  	<tbody>
		  		{% for jadwal in hasilJadwal %}
				    <tr>
				      <th scope="row">{{ forloop.counter }}</th>
				      <td>{{ jadwal.hari }}, {{ jadwal.tanggal }}, {{ jadwal.waktu }}</td>
				      <td>{{ jadwal.kegiatan }}</td>
				      <td>{{ jadwal.tempat }}</td>
				      <td>{{ jadwal.kategori }}</td>
				      <td><a class="btn btn-danger" href="schedule/delete/{{jadwal.id}}">Delete</a></td>
				    </tr>
			    {% endfor %}
		  	</tbody>
		</table>

		<a class="btn btn-primary" href="/">Home</a>
		<a class="btn btn-primary" href="schedule/form">Add Schedule</a>		
	</div>
	

	
	<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
	<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>

</body>
</html>